from flask import request, jsonify
from flask_restx import Resource, Namespace, reqparse

from app.defines import StatesCode

ns = Namespace('message', description='消息管理接口')


class MessageApi(Resource):
    def get(self):
        """获取消息"""
        data = {
            'name': '年度消息',
            'superior': None,
            'config': '钉钉',
            'personnel': '全体',
            'time': '2020-10-10',
            'title': '标题',
            'content': '内容',
            'style': '样式'
        }
        return jsonify(code=StatesCode.SUCCESS, message='成功', data=data)

    def put(self):
        """修改消息"""
        data = {
            'name': '年度消息',
            'superior': None,
            'config': '钉钉',
            'personnel': '全体',
            'time': '2020-10-10',
            'title': '标题',
            'content': '内容',
            'style': '样式'
        }
        return jsonify(code=StatesCode.SUCCESS, message='成功', data=data)

    def delete(self):
        """删除消息"""

        return jsonify(code=StatesCode.SUCCESS, message='成功', data='')


class InformationApi(Resource):
    def get(self):
        """获取信息"""
        data = {
            'name': '年度消息',
            'superior': None,
            'config': '钉钉',
            'personnel': '全体',
            'time': '2020-10-10',
            'title': '标题',
            'content': '内容',
            'style': '样式'
        }
        return jsonify(code=StatesCode.SUCCESS, message='成功', data=data)

    def put(self):
        """修改信息"""
        data = {
            'name': '年度消息',
            'superior': None,
            'config': '钉钉',
            'personnel': '全体',
            'time': '2020-10-10',
            'title': '标题',
            'content': '内容',
            'style': '样式'
        }
        return jsonify(code=StatesCode.SUCCESS, message='成功', data=data)

    def delete(self):
        """删除信息"""

        return jsonify(code=StatesCode.SUCCESS, message='成功', data='')
