from sqlalchemy import String, Column, Integer, DateTime

from app.modle import Base
from app.utils.util import cn_now


class Log(Base):
    """日志"""
    __tablename__ = 'log'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    module = Column(String, nullable=True, unique=False, index=False, doc='系统模块')
    operation_type = Column(String, nullable=True, unique=False, index=False, doc='操作类型')
    request = Column(String, nullable=True, unique=False, index=False, doc='请求方式')
    operation_staff = Column(String, nullable=True, unique=False, index=False, doc='操作人员')
    operation_address = Column(String, nullable=True, unique=False, index=False, doc='操作地址')
    operation_status = Column(String, nullable=True, unique=False, index=False, doc='操作状态')
    operation_time = Column(String, nullable=True, unique=False, index=False, default=cn_now(), doc='操作时间')
